import { ExtractPropTypes, PropType } from 'vue';
export interface ConfigProviderSearchProps {
    pageName?: string;
    pageSizeName?: string;
    export?: boolean;
}
export interface ConfigProviderTableProps {
    arrayName?: string;
    pageName?: string;
    pageSizeName?: string;
    totalName?: string;
}
export interface ConfigProviderSelectProps {
    label?: string;
    value?: string;
    arrayName?: string;
}
export interface ConfigProviderDatePicker {
    valueFormat?: string;
}
export declare const configProviderProps: {
    table: {
        type: PropType<ConfigProviderTableProps>;
    };
    search: {
        type: PropType<ConfigProviderSearchProps>;
    };
    select: {
        type: PropType<ConfigProviderSelectProps>;
    };
    response: {
        type: PropType<{
            code?: string | undefined;
            msg?: string | undefined;
            data?: string | undefined;
        }>;
    };
    datePicker: {
        type: PropType<ConfigProviderDatePicker>;
        default: () => ConfigProviderDatePicker;
    };
};
export type ConfigProviderProps = Partial<ExtractPropTypes<typeof configProviderProps>>;
