import { PropType, ExtractPropTypes } from 'vue';
import type { UploadRequestOptions } from 'element-plus';
import { ApiResponseType } from '@sepveneto/basic-comp/es/components/type';
export type UploadCallbackType = File | UploadRequestOptions | FormData;
export declare const uploadProps: {
    /**
     * 是否展示
     */
    modelValue: BooleanConstructor;
    /**
     * 调用模板的下载接口
     */
    templateApi: PropType<() => void>;
    /**
     * 调用文件的上传接口
     */
    uploadApi: PropType<(data: UploadCallbackType) => Promise<ApiResponseType>>;
    callbackType: {
        type: StringConstructor;
        default: string;
    };
    drag: {
        type: BooleanConstructor;
        default: boolean;
    };
};
export type UploadProps = ExtractPropTypes<typeof uploadProps>;
