import { inject, computed } from 'vue';

const useConfigInject = (name, props) => {
  const configProvider = inject("configProvider", {});
  const table = computed(() => configProvider.table);
  const pageName = computed(() => {
    var _a;
    return ((_a = configProvider.table) == null ? void 0 : _a.pageName) || "page";
  });
  const pageSizeName = computed(() => {
    var _a;
    return ((_a = configProvider.table) == null ? void 0 : _a.pageSizeName) || "rows";
  });
  const arrayName = computed(() => {
    var _a;
    return ((_a = configProvider.table) == null ? void 0 : _a.arrayName) || "data";
  });
  const label = computed(() => {
    var _a;
    return ((_a = configProvider.select) == null ? void 0 : _a.label) || props.customLabel || "label";
  });
  const value = computed(() => {
    var _a;
    return ((_a = configProvider.select) == null ? void 0 : _a.value) || props.customValue || "value";
  });
  const optionsName = computed(() => {
    var _a;
    return ((_a = configProvider.select) == null ? void 0 : _a.arrayName) || props.arrayName || "rows";
  });
  const response = computed(() => configProvider.response);
  const datePicker = computed(() => configProvider.datePicker);
  return {
    search: configProvider.search,
    datePicker,
    table,
    pageName,
    pageSizeName,
    arrayName,
    label,
    value,
    optionsName,
    response
  };
};

export { useConfigInject };
//# sourceMappingURL=useConfigInject.mjs.map
