'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
var type = require('./type.js');
var pluginVue_exportHelper = require('../../_virtual/plugin-vue_export-helper.js');

const _sfc_main = vue.defineComponent({
  name: "svg-icon",
  props: type.svgIconProps,
  computed: {
    isIconFont() {
      return this.icon && this.icon.includes("iconfont");
    },
    svgClass() {
      const { className } = this;
      return className ? `svg-icon ${className}` : "svg-icon";
    },
    iconName() {
      const { icon } = this;
      const splitList = icon.split("-");
      const splitDict = icon.split("/");
      if (splitList && splitList.length !== 1) {
        return `#icon-${splitList[1]}`;
      } else if (splitDict && splitDict.length !== 1) {
        const [dict, name] = splitDict;
        const parseName = name && name.toLowerCase();
        return `#icon-${dict}${parseName.replace(/\S/, (val) => val.toUpperCase())}`;
      }
      return `#icon-${icon}`;
    }
  }
});
const _hoisted_1 = ["xlink:href"];
const _hoisted_2 = {
  key: 2,
  class: "placeholder"
};
const _hoisted_3 = {
  key: 3,
  class: "svg-badge"
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("span", {
    class: vue.normalizeClass(["svg-container", { "is-disabled": _ctx.disabled }]),
    style: vue.normalizeStyle({ width: _ctx.width, height: _ctx.height })
  }, [
    vue.renderSlot(_ctx.$slots, "default"),
    !_ctx.isIconFont && _ctx.icon ? (vue.openBlock(), vue.createElementBlock("svg", {
      key: 0,
      class: vue.normalizeClass(_ctx.svgClass),
      style: vue.normalizeStyle({ width: _ctx.width, height: _ctx.height }),
      "aria-hidden": "true",
      onClick: _cache[0] || (_cache[0] = ($event) => _ctx.$emit("click", $event))
    }, [
      vue.createElementVNode("use", { "xlink:href": _ctx.iconName }, null, 8, _hoisted_1)
    ], 6)) : _ctx.isIconFont && _ctx.icon ? (vue.openBlock(), vue.createElementBlock("i", {
      key: 1,
      class: vue.normalizeClass(_ctx.icon),
      "aria-hidden": "true",
      onClick: _cache[1] || (_cache[1] = ($event) => _ctx.$emit("click", $event))
    }, null, 2)) : vue.createCommentVNode("v-if", true),
    !_ctx.icon ? (vue.openBlock(), vue.createElementBlock("span", _hoisted_2)) : vue.createCommentVNode("v-if", true),
    _ctx.badge ? (vue.openBlock(), vue.createElementBlock("div", _hoisted_3, vue.toDisplayString(_ctx.badge), 1)) : vue.createCommentVNode("v-if", true)
  ], 6);
}
var SvgIcon = /* @__PURE__ */ pluginVue_exportHelper["default"](_sfc_main, [["render", _sfc_render]]);

exports["default"] = SvgIcon;
//# sourceMappingURL=svgIcon.js.map
