'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('./index.js');
var tools = require('./tools.js');

function updateData(params, prop, val, context) {
  if (context == null ? void 0 : context.updateData) {
    context.updateData(prop, val);
  } else {
    tools.setValue(params, prop, val);
  }
}
function handleSearch(context) {
  if (context == null ? void 0 : context.handleSearch) {
    context.handleSearch();
  }
}
const renderUnit = (h, value, config, context) => {
  var _a, _b, _c, _d, _e;
  const {
    catalog,
    prop,
    name,
    options,
    ...params
  } = config;
  const modelValue = tools.getValue(value, prop);
  if (catalog === "input") {
    return vue.createVNode(vue.resolveComponent("bc-input"), vue.mergeProps({
      "model-value": modelValue,
      "placeholder": name
    }, {
      ...params,
      "onUpdate:modelValue": (val) => updateData(value, prop, val, context)
    }, {
      "onkeyup": (e) => e.code === "Enter" && handleSearch(context)
    }), null);
  } else if (catalog === "select") {
    return vue.createVNode(vue.resolveComponent("bc-select"), vue.mergeProps({
      "model-value": modelValue,
      "placeholder": name
    }, {
      "onUpdate:modelValue": (val) => updateData(value, prop, val, context),
      onChange: () => handleSearch(context)
    }, {
      "options": config.options
    }, params), null);
  } else if (catalog === "datepicker") {
    return vue.createVNode(vue.resolveComponent("bc-date-picker"), vue.mergeProps({
      "model-value": modelValue,
      "placeholder": name
    }, {
      startPlaceholder: "\u5F00\u59CB\u65E5\u671F",
      endPlaceholder: "\u7ED3\u675F\u65E5\u671F",
      rangeSeparator: "\u81F3",
      ...params,
      "onUpdate:modelValue": (val) => updateData(value, prop, val, context),
      onChange: () => handleSearch(context)
    }, params), null);
  } else {
    return ((_a = context == null ? void 0 : context.context) == null ? void 0 : _a.slots[config.prop]) || ((_e = (_d = (_c = (_b = context == null ? void 0 : context.context) == null ? void 0 : _b.parent) == null ? void 0 : _c.slots) == null ? void 0 : _d[config.prop]) == null ? void 0 : _e.call(_d));
  }
};

exports.renderUnit = renderUnit;
//# sourceMappingURL=renderUnit.js.map
