export type AnyType = {
    [key: string]: unknown;
};
export type CellConfigType = Partial<{
    unit: string;
    filter: (val: string) => string;
}>;
/**
 * 从对象中取值
 * @param {object} row 目标对象
 * @param {string} column 目标key，支持链式取值
 * @param {object} config 相关配置
 * @param {boolean} disableTravel 禁用链式取值
 * @returns string
 */
export declare function getValue(row: AnyType, column: string, config?: CellConfigType, disableTravel?: boolean): string | unknown;
export declare function setValue(row: AnyType, property: string, value: unknown): void;
export declare function copyText(text: string): Promise<boolean>;
export declare function extractObject(obj: Record<string, any>, keys: string[], action?: 'include' | 'exclude'): Record<string, any>;
export declare function toCamel(name: string): string;
